Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.sg
Class SGSoundChannel

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.std.comp.ComponentIdentifier
                  |
                  +--quicktime.std.comp.Component
                        |
                        +--quicktime.std.sg.SGChannel
                              |
                              +--quicktime.std.sg.AudioChannel
                                    |
                                    +--quicktime.std.sg.SGSoundChannel

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class SGSoundChannel
extends AudioChannel
implements quicktime.jdirect.QuickTimeLib

Assists in importing sound into a movie. The SGChannel implements methods for a corresponding QuickTime ComponentInstance structure.

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Constructor Summary
`SGSoundChannel(SequenceGrabber owner)` Creates a sequence grabber channel and assigns a channel component to the channel.

Method Summary
`SPBDevice` | `getInputDriver()` Get the Sound Input Driver.
`int` | `getRecordChunkSize()` Get the buffer size (in seconds) of the record buffer QuickTime::SGGetSoundRecordChunkSize QuickTime::SGGetSoundRecordChunkSize
`SoundDescription` | `getSoundDescription()` This method allows you to retrieve a music sample description from the SGChannel.
`SGChannelInfo` | `getSoundInputParameters()` Get some parameters that relate to the current sound recording.
`float` | `getSoundInputRate()` Get the Sound Input Rate QuickTime::SGGetSoundInputRate QuickTime::SGGetSoundInputRate
`void` | `setInputDriver(java.lang.String driverName)` Set the Sound Input Driver, Automatically calls SGSoundInputDriverChanged QuickTime::SGSetSoundInputDriver QuickTime::SGSetSoundInputDriver QuickTime::SGSoundInputDriverChanged QuickTime::SGSoundInputDriverChanged
`void` | `setRecordChunkSize(int seconds)` Set the buffer size for sound recording in seconds QuickTime::SGSetSoundRecordChunkSize QuickTime::SGSetSoundRecordChunkSize
`void` | `setSoundInputParameters(int sampleSize, int numChannels, int compressionType)` Set some parameters that relate to sound recording.
`void` | `setSoundInputRate(float rate)` Set the Sound Input Rate QuickTime::SGSetSoundInputRate QuickTime::SGSetSoundInputRate

Methods inherited from class quicktime.std.sg.AudioChannel
`getVolume, setVolume`

Methods inherited from class quicktime.std.sg.SGChannel
`getDataSourceName, getDeviceList, getPlayFlags, getSampleDescription, getSequenceGrabber, getSettings, getTimeScale, getUsage, setDataSourceName, setDevice, setOutput, setPlayFlags, setSettings, settingsDialog, settingsDialog, setUsage`

Methods inherited from class quicktime.std.comp.Component
`count`

Methods inherited from class quicktime.std.comp.ComponentIdentifier
`find, find, getInfo, toString`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SGSoundChannel

    public SGSoundChannel(SequenceGrabber owner)
                   throws StdQTException

  Creates a sequence grabber channel and assigns a channel component to the channel. The channel component is responsible for providing digitized data to the sequence grabber component.
  QuickTime::SGNewChannel
Parameters:
  `owner` - specifies the sequence grabber component the channel is attached to.

Method Detail

### getSoundDescription

    public final SoundDescription getSoundDescription()
                                               throws QTException

  This method allows you to retrieve a music sample description from the SGChannel.

  Returns:
    a SoundDescription object.

### setSoundInputParameters

    public void setSoundInputParameters(int sampleSize,
                                        int numChannels,
                                        int compressionType)
                                 throws StdQTException

  Set some parameters that relate to sound recording.
  QuickTime::SGSetSoundInputParameters QuickTime::SGSetSoundInputParameters

  Parameters:
    `sampleSize` - Specifies the number of bits in each sound sample. Set this field to 8 for 8-bit sound; set it to 16 for 16-bit sound..
    `numChannels` - Specifies the number of sound channels used by the sound sample. Set this field to 1 for monaural sounds; set it to 2 for stereo sounds...
    `compressionType` - Specifies the number of bits in each sound sample. Set this field to 8 for 8-bit sound; set it to 16 for 16-bit sound..

### getSoundInputParameters

    public SGChannelInfo getSoundInputParameters()
                                          throws StdQTException

  Get some parameters that relate to the current sound recording.
  QuickTime::SGGetSoundInputParameters QuickTime::SGGetSoundInputParameters

  Parameters:
    `Returns` - an SGChannel Info structure describing the Channel.

### setSoundInputRate

    public void setSoundInputRate(float rate)
                           throws StdQTException

  Set the Sound Input Rate
  QuickTime::SGSetSoundInputRate QuickTime::SGSetSoundInputRate

  Parameters:
    `rate` - Specifies the rate at which the sound channel is to acquire data.

### getSoundInputRate

    public float getSoundInputRate()
                            throws StdQTException

  Get the Sound Input Rate
  QuickTime::SGGetSoundInputRate QuickTime::SGGetSoundInputRate

  Parameters:
    `rate` - Specifies the rate at which the sound channel is to acquire data.

### getInputDriver

    public SPBDevice getInputDriver()
                             throws StdQTException

  Get the Sound Input Driver.
  QuickTime::SGGetSoundInputDriver QuickTime::SGGetSoundInputDriver

  Returns:
    the Sound Input driver in use by this channel.

### setRecordChunkSize

    public void setRecordChunkSize(int seconds)
                            throws StdQTException

  Set the buffer size for sound recording in seconds
  QuickTime::SGSetSoundRecordChunkSize QuickTime::SGSetSoundRecordChunkSize

  Parameters:
    `seconds` - the buffer size for the channel to use.

### getRecordChunkSize

    public int getRecordChunkSize()
                           throws StdQTException

  Get the buffer size (in seconds) of the record buffer
  QuickTime::SGGetSoundRecordChunkSize QuickTime::SGGetSoundRecordChunkSize

  Returns:
    the Sound Input driver in use by this channel.

### setInputDriver

    public void setInputDriver(java.lang.String driverName)
                        throws StdQTException

  Set the Sound Input Driver, Automatically calls SGSoundInputDriverChanged
  QuickTime::SGSetSoundInputDriver QuickTime::SGSetSoundInputDriver
  QuickTime::SGSoundInputDriverChanged QuickTime::SGSoundInputDriverChanged

  Returns:
    the Sound Input driver in use by this channel.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD